SSL
All operations require authentication.
Get the SSL certificateProduction
Path parameters
The internal name of your CDN offer
Response
Provider of the certificate installed on CDN
All states a CDN SSL can be in
checkingcreatingerroroffonremovingupdatinguploadingExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ ssl \
-H "authorization: Bearer $OVH_TOKEN"{ "certificateProvider": "string", "certificateValidFrom": "2024-01-01T12:00:00Z", "certificateValidTo": "2024-01-01T12:00:00Z", "cn": "string", "name": "string", "status": "checking"}
Create an SSL certificateProduction
Path parameters
The internal name of your CDN offer
Request body (required)
certificate (empty for lets encrypt generation)
certificate chain (empty for lets encrypt generation)
certificate key (empty for lets encrypt generation)
ssl name to add on CDN
Response
Provider of the certificate installed on CDN
All states a CDN SSL can be in
checkingcreatingerroroffonremovingupdatinguploadingExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ ssl \
-H "authorization: Bearer $OVH_TOKEN"{ "certificateProvider": "string", "certificateValidFrom": "2024-01-01T12:00:00Z", "certificateValidTo": "2024-01-01T12:00:00Z", "cn": "string", "name": "string", "status": "checking"}
Delete the SSL certificateProduction
Path parameters
The internal name of your CDN offer
Response
All function CDN task can be
flushflushAllgenerateSslinstallSslreinstallSslremoveDomainuninstallSslupdateCacheRuleAll states a CDN task can be in
cancelleddoingdoneerrortodoExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ ssl \
-H "authorization: Bearer $OVH_TOKEN"{ "comment": "string", "function": "flush", "status": "cancelled", "taskId": 0}
Update the SSL certificateProduction
Path parameters
The internal name of your CDN offer
Request body (required)
certificate
certificate chain
certificate key
Response
All function CDN task can be
flushflushAllgenerateSslinstallSslreinstallSslremoveDomainuninstallSslupdateCacheRuleAll states a CDN task can be in
cancelleddoingdoneerrortodoExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ ssl/ update \
-H "authorization: Bearer $OVH_TOKEN"{ "comment": "string", "function": "flush", "status": "cancelled", "taskId": 0}